package com.tiptimes.dao;

import com.tiptimes.model.Answer;
import com.tiptimes.model.PerformanceSummary;
import com.tiptimes.model.Record;
import com.tiptimes.model.Review;
import com.tiptimes.model.exportDTO.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface QuestionnaireDao {

    Long selectRecordId(@Param("questionnaireUuid")Long questionnaireUuid,
                        @Param("createId")String createId);

    Long insertRecord(Record record);

    Integer delAnswer(@Param("recordId")Long recordId);

    Integer insertAnswer(@Param("list") List<Answer> answerList,
                         @Param("recordId")Long recordId);

    Integer updateRecord(Record record);

    Integer delView(@Param("recordId")Long recordId);

    Integer insertReview(@Param("list") List<Review> list, @Param("recordId")Long recordId);

    List<Answer> selectAnswerByRecordId(@Param("recordId")Long recordId);

    List<Review> selectReviewByRecordId(@Param("recordId")Long recordId);

    Record selectById(Long recordId);

    List<Record> selectRecordList(Record record);

    List<String> selectFileId(@Param("optionId") Long optionId,
                              @Param("recordId")Long recordId);

    List<PerformanceSummary> selectPerformanceSummaryList(PerformanceSummary performanceSummary);

    List<FullTimeWorkPerson> selectFullTimeWorkPersonList(@Param("recordId")String recordId);

    List<SiteCondition> selectSiteConditionList();

    List<IncubatedEnterprises> selectIncubatedEnterprisesList();

    List<EmploymentSituation> selectEmploymentSituationList();

    List<EntrepreneurshipCourses> selectEntrepreneurshipCoursesList();

    List<SigningMentors> selectSigningMentorsList();

    List<OrganizationActivity> selectOrganizationActivityList();

    List<CompetingSituation>  selectCompetingSituationList();

    List<EntrepreneurshipFunding> selectEntrepreneurshipFundingList();

    List<EntrepreneurshipProject> selectEntrepreneurshipProjectList();

    List<EnterprisestAmount> selecEnterprisestAmountList();

    List<EvaluationBorrowing> selectEvaluationBorrowingList();

    List<InnovationWeek> selectInnovationWeekList();

    List<CollegeSituation> selectCollegeSituationList();

    List<EnterprisesIntellectual> selectEnterprisesIntellectualList();

    List<NationalCompetitionAwards> selectNationalCompetitionAwardsList();

    List<EducationCommission> selectEducationCommissionList();

    List<EntrepreneurialProject> selectEntrepreneurialProjectList();

    List<SpaceAndIncubation> selectSpaceAndIncubationList();

    List<PerformanceSummaryTotal> queryGuideAndRewardIndexList();

    Integer updateAnswerScore(Answer answer);
}
